array_push
array_reduce
Array Functions
PHP Manual

# array_rand

Pick one or more random entries out of an array

### Description

mixed array_rand ( array `$array` [, int `$num` = 1 ] )

Picks one or more random entries out of an array, and returns the key (or keys) of the random entries.

### Parameters

`array`

  The input array.

`num`

  Specifies how many entries you want to pick. Trying to pick more elements than there are in the array will result in an `E_WARNING` level error.

### Return Values

If you are picking only one entry, array_rand returns the key for a random entry. Otherwise, it returns an array of keys for the random entries. This is done so that you can pick random keys as well as values out of the array.

### Changelog

Version | Description
--- | ---
5.2.10 | The resulting array of keys is no longer shuffled.
4.2.0 | The random number generator is seeded automatically.

### Examples

Example #1 array_rand example

`<?php
$input = array("Neo", "Morpheus", "Trinity", "Cypher", "Tank");
$rand_keys = array_rand($input, 2);
echo $input[$rand_keys[0]] . "\n";
echo $input[$rand_keys[1]] . "\n";
?>`

### See Also

- shuffle